/*--------------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        18.05.2008
 Description:    PID and Mixer 
--------------------------------------------------------------------------------*/
#ifndef _FC_H
#define _FC_H

#include <lpc213x.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#include "config.h"
#include "uart.h"
#include "printf_P.h"
#include "viclowlevel.h"
#include "typedefs.h"
#include "clock-arch.h"
#include "analog.h"
#include "rc.h"
#include "twimaster.h"

extern volatile signed int nick_perror_old;
extern volatile signed int roll_perror_old;
extern volatile signed int gier_perror_old;

extern void flight_control (void);

#endif //_FC_H

