/*-----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        14.06.2007
 Description:    RC Routinen
-----------------------------------------------------------------------------*/
#ifndef _RC_H
#define _RC_H

//-----------------------------------------------------------------------------
#include "typedefs.h"
#include "clock-arch.h"
#include <lpc213x.h>
#include "config.h"
#include "fc.h"
//-----------------------------------------------------------------------------

void tc0_cap2(void);
extern void rc_sum_init (void);

#define RC_MAX_VALUE	2000
#define RC_MIN_VALUE	250
#define RC_MAX_CHANNEL	12
#define RC_OFFSET 		466

//Futaba Digital Propotional T4YF (Ulrich)
//AIL.=REV. / ELE.=REV. / THR.=REV. / RUD.=REV    
#define RC_NICK    1
#define RC_ROLL    0
#define RC_GAS     2
#define RC_GIER    3

extern volatile unsigned char rc_channel_counter;
extern volatile unsigned int rc_valid;
extern volatile signed char rc_ch[RC_MAX_CHANNEL];
extern volatile unsigned int OldTimerValue;
extern volatile unsigned int TimerValue;	

#endif //_RC_H
