#ifndef __TYPEDEFS_H
#define __TYPEDEFS_H
//-----------------------------------------------------------------------------

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>
//-----------------------------------------------------------------------------

#define FALSE 0
#define false 0
#define TRUE  1
#define true  1


typedef signed char S8;
typedef signed char S08;
typedef signed char tS08;
typedef unsigned char U8;
typedef unsigned char U08;
typedef unsigned char tU08;

typedef signed short S16;
typedef signed short tS16;
typedef unsigned short U16;
typedef unsigned short tU16;

typedef signed long S32;
typedef signed long tS32;
typedef unsigned long U32;
typedef unsigned long tU32;

typedef signed long long S64;
typedef signed long long tS64;
typedef unsigned long long U64;
typedef unsigned long long tU64;

typedef S08 *pS8;
typedef S08 *pS08;
typedef U08 *pU8;
typedef U08 *pU08;
typedef S16 *pS16;
typedef U16 *pU16;
typedef S32 *pS32;
typedef U32 *pU32;
typedef S64 *pS64;
typedef U64 *pU64;
typedef float *pfloat;
typedef double *pdouble;
typedef U32 BOOL;
typedef U32 bool;
typedef BOOL *pBOOL;
typedef void(*pFUNC)(void);

typedef U08 volatile *pREG08;
typedef U16 volatile *pREG16;
typedef U32 volatile *pREG32;

#endif
